> ## Documentation Index
> Fetch the complete documentation index at: https://docs.01advertising.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Request

> Submit Privacy Opt Out Request



## OpenAPI

````yaml api/openapi.json post /privacy/{partner}
openapi: 3.1.0
info:
  title: Privacy - OpenAPI Specification
  description: >-
    Privacy API for submitting opt-out requests and notifying partners about
    privacy request status.
  license:
    name: Proprietary
    url: https://www.01advertising.com/legal/terms/
  version: 1.0.0
servers:
  - url: https://api.01advertising.com
security:
  - {}
paths:
  /privacy/{partner}:
    post:
      description: Submit a opt out privacy request from specific partner
      parameters:
        - name: partner
          in: path
          required: true
          schema:
            type: string
          description: >-
            The partner identifier for which the privacy request is being
            submitted
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrivacyRequest'
      responses:
        '200':
          description: A successful privacy request submission
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrivacyResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    PrivacyRequest:
      required:
        - reference_id
        - postback_url
        - first_name
        - middle_name
        - last_name
        - emails
        - phone_numbers
        - addresses
      type: object
      properties:
        reference_id:
          type: string
          description: >-
            A unique identifier for the privacy request generated by the partner
            system
        postback_url:
          type: string
          description: >-
            The URL to which the response will be sent once the request is
            processed
        first_name:
          type: string
        middle_name:
          type: string
        last_name:
          type: string
        emails:
          type: array
          items:
            type: string
            format: email
        phone_numbers:
          type: array
          items:
            type: string
        addresses:
          type: array
          items:
            type: string
    PrivacyResponse:
      required:
        - status
      type: object
      properties:
        status:
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````